import {Component, ElementRef, ViewChild} from '@angular/core';
import {Button} from 'primeng/button';
import {NgForOf} from '@angular/common';
import {RouterLink} from '@angular/router';
import {KeycloakService} from '../../../keycloak/keycloak.service';

interface NavLink {
  label: string;
  path: string;
}

@Component({
  selector: 'app-landing-nav',
  standalone: true,
  imports: [
    Button,
    NgForOf,
    RouterLink
  ],
  templateUrl: './landing-nav.component.html',
  styleUrl: './landing-nav.component.css'
})
export class LandingNavComponent {

  constructor(private keyCloakService: KeycloakService) {}

  navLinks: NavLink[] = [
    {label: 'Home', path: ''},
    {label: 'Serwisy', path: 'services'},
    {label: 'Kontakt', path: 'contact'}
  ];

  @ViewChild('menu') menu!: ElementRef<HTMLDetailsElement>;

  closeMenu() {
    if (this.menu.nativeElement) {
      this.menu.nativeElement.removeAttribute('open');

    }
  }

  login(){
    this.keyCloakService.login();
  }

}
