import { ComponentFixture, TestBed } from '@angular/core/testing';
import { HallOfFameComponent } from './hall-of-fame.component';
import {HallOfFameService} from '../../../services/hall-of-fame.service';
import {NoopAnimationsModule} from '@angular/platform-browser/animations';
import {provideRouter} from '@angular/router';
import {provideHttpClient} from '@angular/common/http';
import {provideHttpClientTesting} from '@angular/common/http/testing';
import {GalleryComponent} from '../gallery/gallery.component';
import {HallOfFameType} from '../../../models/hallOfFame.type';
import {of} from 'rxjs';


describe(HallOfFameComponent.name, () => {

  let component: HallOfFameComponent;
  let fixture: ComponentFixture<HallOfFameComponent>;
  let native:HTMLElement;
  let hallOfFameService:HallOfFameService;

  const weddingId = '4d35e8f0-b155-4e79-b5e8-f0b1550e7940';
  const guestId = 'e501bf41-d3d2-417d-81bf-41d3d2217d0a';

  beforeEach(async () => {
    const spy = jasmine.createSpyObj<HallOfFameService>('HallOfFameService',['getScoreByWeddingId']);

    await TestBed.configureTestingModule({
      imports: [
        HallOfFameComponent,
        NoopAnimationsModule
      ],
      providers: [
        provideRouter([]),
        provideHttpClient(),
        provideHttpClientTesting(),
        {
          provide: HallOfFameService,
          useValue: spy
        }
      ]
    })
      .compileComponents();

    fixture = TestBed.createComponent(HallOfFameComponent);
    native = fixture.nativeElement;
    component = fixture.componentInstance;
    component.guestId = guestId;
    component.weddingId = weddingId;


    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  it('should render hallofFame', () => {
    let containers = native.querySelectorAll('.p-datatable-striped');
    expect(containers.length).toBe(1);
  });

});
