import {RouterModule, Routes} from '@angular/router';
import {NgModule} from '@angular/core';
import {WEDDING_PAGE_ROUTES} from './ wedding-page.routes';
import {USER_PAGE_ROUTS} from './user-page.routes';
import {LANDING_PAGE_ROUTES} from './landing-page.routes';
import {UserPageComponent} from '../components/user-components/user-page/user-page.component';
import {WeddingPageComponent} from '../components/page-for-guests-components/wedding-page/wedding-page.component';
import {LandingPageComponent} from '../components/landing-components/landing-page/landing-page.component';

export const APP_ROUTES: Routes = [
  { path: 'user', component: UserPageComponent, children: USER_PAGE_ROUTS },
  { path: 'wedding', component: WeddingPageComponent, children: WEDDING_PAGE_ROUTES },
  { path: 'home', component: LandingPageComponent, children: LANDING_PAGE_ROUTES },
  { path: '', redirectTo: 'home', pathMatch: 'full' },
  { path: '**', redirectTo: '', pathMatch: 'full' },
];

@NgModule({
  imports: [RouterModule.forRoot(APP_ROUTES)],
  exports: [RouterModule],
})
export class AppRoutingModule {}
